function sendFile(){
	$("#form").hide();
	$("#load").show();
	$("#form").submit(function(e){
			    var formObj = $(this);
			    var formURL = formObj.attr("action");
			    var formData = new FormData(this);
			    $.ajax({
			        url: formURL,
			        type: 'POST',
			        data:  formData,
			        mimeType:"multipart/form-data",
			        contentType: false,
			        cache: false,
			        processData:false,
			        success: function(data, textStatus, jqXHR){
			        	var respuesta="ok";
						$("#load").hide();
						if(respuesta=="ok"){
							$("#resultadoOkUploadFile").show();
							window.setTimeout(function() {
				                window.location.href = '/Administracion/main.jsp';
				            }, 2500);
						}else{
							$("#resultadokoUploadFile").show();
				        	$("#form").show();	
						}
			        }
			    });
			    e.preventDefault(); //Prevent Default action. 
			}); 
			$("#form").submit(); //Submit the form
}




function saveTest() {
	openDialogLoadin();
	var url = "TestServlet?operacion=1&";
	var nombre = $("#nombre").val();
	var desc = $("#descripcion").val();
	var spinnerIntentos = $( "#ui-spinner" ).spinner();
	var spinnerPasos = $( "#ui-spinnerPasos" ).spinner();
	var intentos = spinnerIntentos.spinner( "value" );
	var browser = $("#browser option:selected").text();
	var numPasos = spinnerPasos.spinner( "value" );
	var nomPasos="";
	for(var i=0;i<parseInt(numPasos);i++){
		if(i==parseInt(numPasos)-1){
			nomPasos += $("#pas"+i+"").val();
		}else{
			nomPasos += $("#pas"+i+"").val()+"/";
		}
	}
	url = url + "nombre=" + nombre + "&descripcion=" + desc+"&intentos="+intentos+"&nomPasos="+nomPasos+"&browser="+browser;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			if(respuesta=="true"){
				openDialogFile();
			}else{
				$( "#loadDialog" ).dialog("close");
				alert("No se ha podido salvar, intntelo ms tarde");
			}
			$("#nombre").val("");
			$("#descripcion").val("");
			openFieldsPasos();
		}
	});
}

function openDialogFile(){
	$( "#loadDialog" ).dialog("close");
	document.getElementById('form').style.visibility="";
	$( "#dialogPasos" ).dialog({
	    resizable: false,
	    height:300,
	    width:450,
	    modal: true,
	});
}

function openDialogLoadin(){
	document.getElementById('loading').style.visibility="";
	$( "#loadDialog" ).dialog({
	    resizable: false,
	    height:150,
	    width:250,
	    modal: true,
	});
}
function openFieldsPasos(){
	$("#pasos_place").html("");
	var spinner = $( "#ui-spinnerPasos" ).spinner();
	var numPasos = spinner.spinner( "value" );
	for(var i=0;i<parseInt(numPasos);i++){
		var nuevaFila = "<input type=\"text\" class=\"form-control\" id=\"pas"+i+"\" name=\"nombre\" placeholder=\"Nombre del Paso   "+(i+1)+"\">";
		$("#pasos_place").append(nuevaFila);	
	}
	
	document.getElementById("pasosDiv").style.visibility="";
}

function initSpinner(){
	$("#ui-spinner").spinner();
	$("#ui-spinnerPasos").spinner();
//Spinner Pasos	
	var valuePasos;
	var $container=$("#ui-spinnerPasos");
    var newSpinner = $container.spinner({
        min: 1,
    }).focus(function () {
    	valuePasos = $container.val();
    }).blur(function () {
        var value1 = $container.val();
        if (value1<0) {
           $container.val(valuePasos);
        }
        if(isNaN(value1))
        {
           $container.val(valuePasos);
        } 

    });
    $("#ui-spinnerPasos").val(1);
    $("#ui-spinnerPasos").bind("keydown", function (event) {
        event.preventDefault();
    });
//Spinner intentos
	var value;
    var $container=$("#ui-spinner");
    var newSpinner = $container.spinner({
        min: 1,
    }).focus(function () {
        value = $container.val();
    }).blur(function () {
        var value1 = $container.val();
        if (value1<0) {
           $container.val(value);
        }
        if(isNaN(value1))
        {
           $container.val(value);
        } 

    });
    $("#ui-spinner").val(1);
    $("#ui-spinner").bind("keydown", function (event) {
        event.preventDefault();
    });
}

function callTableTest() {
	$("#divTabla").hide();
	$("#load").show();
	var url = "TestServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			$.each(data,function(key, val) {
				var nuevaFila = "<tr>";
					nuevaFila += "<td align=\"center\">" + key + "</td>";
					for (i = 0; i < val.length; i++) {
						nuevaFila += "<td>" + val[i]+ "</td>";
					}
					nuevaFila += "<td><div class=\"checkbox\"><label><input type=\"checkbox\" value="+ key+ "><i class=\"fa fa-square-o\"></i></label></div></td>";
					nuevaFila += "</tr>";
					$("#tabla").append(nuevaFila);
			});
			$("#load").hide();
			$("#divTabla").show();
		}
	});
}

function deleteTest() {
	var val = [];
	$(':checkbox:checked').each(function(i) {
		val[i] = $(this).val();
	});
	var url = "TestServlet?operacion=2&idTests=";
	url = url + val;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			callTableTest();
		}
	});
}


/////----------------- Editar Test ---------------//////////////

//Select Robot Edit
$('#elTest').on('change', function() {
	$("#noTestSelected").hide();
	if($(this).val()!=0){
		$("#loading").show();
		loadTestEdit($(this).val());
		$("#testPlace").show();
	}else{
		$("#testPlace").hide();
		$("#loading").hide();
		$("#noTestSelected").show();
	}
});

function loadTestEdit(idTest){
	var url = "TestServlet?operacion=5";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTest},
		success : function(data) {
			$("#loading").hide();
			//Obtenemos el numero de pasos
			var num = data['numPasos'];
			$("#ui-spinnerPasos").val(num);
			$("#ui-spinnerPasos").spinner("disable");
			var numeroPasos = parseInt(num);
			$("#pasos_place").empty();
			for(var i=0;i<numeroPasos;i++){
				var nuevaFila = "<input type=\"text\" class=\"form-control\" id=\"pas"+(i+1)+"\" name=\"nombre\" placeholder=\"Nombre del Paso   "+(i+1)+"\">";
				$("#pasos_place").append(nuevaFila);	
			}
			document.getElementById("pasosDiv").style.visibility="";
			//Seteamos el nombre de los pasos
			var pasos = data['pasos'];
			var pos = 1;
			$.each(pasos,function(key,value){
				$("#pas"+pos).val(value[pos]);
				pos++;
			});
			//Seteamos el resto de campos
			var intentos = data['intentos'];
			$("#ui-spinner").val(intentos);
			var nombre = data['nombre'];
			$("#nombre").val(nombre);
			var descripcion = data['descripcion'];
			$("#descripcion").val(descripcion);
		}
	});
}

function onLoadEdit(){
	var url = "TestServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				$("#elTest").append("<option value="+key+">"+val[0]+"</option>");
			});
		}
	});
}
function uploadTest(){
	var url = "TestServlet?operacion=6&";
	var idTest = $("#elTest").val();
	var nombre = $("#nombre").val();
	var descripcion = $("#descripcion").val();
	var intentos = $("#ui-spinner").val();
	var spinnerPasos = $( "#ui-spinnerPasos" ).spinner();
	var numPasos = spinnerPasos.spinner( "value" );
	var nomPasos="";
	for(var i=0;i<parseInt(numPasos);i++){
		if(i==parseInt(numPasos)-1){
			nomPasos += $("#pas"+(i+1)+"").val();
		}else{
			nomPasos += $("#pas"+(i+1)+"").val()+"/";
		}
	}
	url = url + "idTest=" + idTest + "&nombre=" + nombre+"&descripcion="+descripcion+"&intentos="+intentos+"&nomPasos="+nomPasos;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			window.setTimeout(function() {
                window.location.href = '/Administracion/main.jsp';
            }, 2000);
		}
	});
}

///----------- Administrar Test---------------/////

//Carga Inicial 
function onLoadAdmin(){
	var url = "RobotServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				$("#elRobot").append("<option value="+key+">"+val[0]+"</option>");
			});
		}
	});
	$("#checkTestPlace").empty();
	LoadAllTestByUser();
}

//Select Robot
$('#elRobot').on('change', function() {
	if($(this).val()!=0){
		$("#checkTestPlace").empty();
		LoadTestByRobot($(this).val());
		/*loadTestNotAssigned($(this).val());
		$("#loading").show();
		loadRobot($(this).val());
		loadUsersByRobot($(this).val());*/
	}else{
		$("#checkTestPlace").empty();
		LoadAllTestByUser();
	}
});

$( "#selectAllTest" ).click(function() {
	if($('#selectAllTest').is(':checked')){
		$('.chTst').each(function() { 
			 this.checked = true;  
             loadTestAdmin($(this).attr('id'));
             showTestPlace();
         });
	  }else{
		  $('.chTst').each(function() { 
              this.checked = false;     
              showNoTestSelected();
          }); 
	  }
});

function LoadTestByRobot(idRobot){
	var url = "TestServlet?operacion=8";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idRobot': idRobot},
		success : function(data) {
			$.each(data,function(key, val) {
				var check = "<div class=\"checkbox\"><label title=\"Id: "+val+"\"><input id=\""+val+"\" class=\"chTst\" type=\"checkbox\" onclick=\"chkListener()\"> "+ key+"<i class=\"fa fa-square-o small\"></i></label></div>";
				$("#checkTestPlace").append(check);
			});
		}
	});
	$.getScript("js/Test/chkListener.js");
}

function LoadAllTestByUser(){
	var url = "TestServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				var check = "<div class=\"checkbox\"><label data-toggle=\"tooltip\" data-placement=\"top\" title=\"Id : "+key+"\" id=\"lbl"+key+"\"><input id=\""+key+"\" class=\"chTst\" type=\"checkbox\" onclick=\"chkListener()\"> "+ val[0]+"<i class=\"fa fa-square-o small\"></i></label></div>";
				$("#checkTestPlace").append(check);
				$.getScript("js/Test/chkListener.js");
				$("#lbl"+key+"").tooltip();
			});
		}
	});
}

function showTestPlace(){
	$("#noTestSelected").hide("fast");
	$("#testPlace").show("fast");
}

function showNoTestSelected(){
	$("#listPlace").empty();
	esPrimero="si";
	$("#testPlace").hide("fast");
	$("#noTestSelected").show("fast");
	hideRight();
}

function loadTestAdmin(idTest){
	$("#listPlace").empty();
	esPrimero="si";
	var url = "TestServlet?operacion=7";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTest},
		success : function(data) {
			
			var nombreTest =  data['nombre'];
			var arrayPasos =  data['pasos'];
			
			var arrayRobots =  data['robots'];
			
			var calendario =  data['calendario'];
			var usuarios =  data['usuarios'];
			
			createHtmlList(idTest,nombreTest,arrayPasos,arrayRobots,calendario,usuarios);	
			
		}
	});
}

var esPrimero = "si";

function createHtmlList(idTest,nombre,arrayPasos,arrayRobots,calendario,usuarios){
	if(esPrimero=="si"){
		var cabecera = "<li><h4 class=\"page-header text-right\">";
		esPrimero="no";
	}else{
		var cabecera = "<li style=\"margin-top: 14%\"><h4 class=\"page-header text-right\">";
	}
	if(calendario=="si"){
		cabecera += "<i data-toggle=\"tooltip\" data-placement=\"top\" title=\"Calendario asociado\" style=\"float: left; cursor: pointer;\" class=\"fa fa-calendar iconStatusTooltip\"></i>";
		cabecera += "<i style=\"float: left;  margin-left: 2px\" class=\"fa fa-check\"></i>";	
	}else{
		cabecera += "<i  data-toggle=\"tooltip\" data-placement=\"top\" title=\"Sin calendario asociado\" style=\"float: left; cursor: pointer;\" class=\"fa fa-calendar iconStatusTooltip\"></i>";
		cabecera += "<i style=\"float: left; margin-left: 2px\" class=\"fa fa-ban\"></i>&nbsp;&nbsp";
	}
	
	if(usuarios == "si"){
		cabecera += "<i id=\"iconStatusUser\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Usuarios asociados\" style=\"float: left; margin-left: 3%; cursor: pointer;\" class=\"fa fa fa-users iconStatusTooltip\"></i>";
		cabecera += "<i style=\"float: left;  margin-left: 2px\" class=\"fa fa-check\"></i>";				        		
	}else{
		cabecera += "<i id=\"iconStatusUser\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Sin usuarios asociados\" style=\"float: left; margin-left: 3%; cursor: pointer;\" class=\"fa fa fa-users iconStatusTooltip\"></i>";
		cabecera += "<i style=\"float: left;  margin-left: 2px\" class=\"fa fa-ban\"></i>";				        	
	}
	
	cabecera += "<button onclick=\"showCalendar("+idTest+",'"+nombre+"')\" type=\"button\" class=\"btn btn-default btn-lg btn-label-left\"><i class=\"fa fa-calendar\"></i>&nbsp;&nbsp;Calendario</button>&nbsp";
	cabecera += "<button onclick=\"showUser("+idTest+",'"+nombre+"')\" type=\"button\" class=\"btn btn-default btn-lg btn-label-left\"><i class=\"fa fa-users\"></i>&nbsp;&nbsp;&nbsp;Usuarios</button>";				        	
	cabecera += "</h4>";
	var test = "<span ><i class=\"fa fa-pencil\"></i> "+nombre+"</span>";
	var i=0;
	$.each(arrayRobots,function(key, val) {
		if(i==0){
			test += "<a style=\"float:right; margin-left: 2%; cursor: pointer;\" onclick=\"goRobotAdmin("+val.id+")\"><i  class=\"fa fa-desktop\"></i> "+val.nombre.trim()+"</a> ";	
		}else{
			test += "<a style=\"float:right; margin-left: 2%; cursor: pointer;\" onclick=\"goRobotAdmin("+val.id+")\"><i class=\"fa fa-desktop\"></i> "+val.nombre.trim()+"</a> ";
		}
		i++;
	});
	test +="<ul>";
	$.each(arrayPasos,function(key, val) {
		test += "<li><span><i class=\"fa fa-file-o\"></i>  "+val+" </span></li>";
	});
	test +=	"</ul></li>";
	
	$("#listPlace").append(cabecera+test);
	$.getScript("js/tree.js");//Cargamos dinamicamente el script que controla el evento de plegado para el arbol
	$('.iconStatusTooltip').tooltip();
	
}

function goRobotAdmin(idRobot){
	LoadAjaxContent('Robot/Admin.jsp');
}

function showCalendar(idTest,nombreTest){
	$("#usrCalTitle").html("<i class=\"fa fa-calendar\"></i> "+nombreTest);
	$('html, body').animate({ scrollTop: 0 }, 'fast');
	$("#noOptionSelected").hide("fast");
	$("#userPlace").hide("fast");
	$("#calendarPlace").show("fast");
	idTestForCalendar = idTest;
	nombreDelTestActual = nombreTest;
	var url = "TestServlet?operacion=10";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTest},
		success : function(data) {
			if(data["hayCalendario"]=="true"){
				var fechaIni=data["fechaIni"];
				var horaIni=data["horaIni"];
				var fechaFin=data["fechaFin"];
				var horaFin=data["horaFin"];
				var intervalo=data["intervalo"];
				$("#txtFechaIni").text(fechaIni);
				$("#txtHoraIni").text(horaIni);
				$("#txtFechaFin").text(fechaFin);
				$("#txtHoraFin").text(horaFin);
				$("#txtIntervalo").text("Cada "+intervalo+" min.");
				$("#noCalendar").hide();
				$("#existCalendar").show();	
				$('#nuevoCalendario').attr("disabled", true);
				$('#editarCalendario').removeAttr("disabled");
				$('#borrarCalendario').removeAttr("disabled");
			}else{
				$("#noCalendar").show();
				$("#existCalendar").hide();
				$('#editarCalendario').attr("disabled", true);
				$('#borrarCalendario').attr("disabled", true);
				$('#nuevoCalendario').removeAttr("disabled");
			}
		}
	});
}
var idTestForCalendar = 0;
var idTestForUsersAsigned = 0;
var nombreDelTestActual = "";

function showUser(idTest,nombreTest){
	$("#selecUsuarioAsigned").empty();
	$("#selecUsuarioAsignedNotAsigned").empty();
	$("#usrTstTitle").html("<i class=\"fa fa-users\"></i> "+nombreTest);
	$('html, body').animate({ scrollTop: 0 }, 'fast');
	$("#noOptionSelected").hide("fast");
	$("#userPlace").show("fast");
	$("#calendarPlace").hide("fast");
	idTestForUsersAsigned = idTest;
	var url = "TestServlet?operacion=9";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTest},
		success : function(data) {
			$.each(data,function(key, val) {
				if(key=="asigned"){
					$.each(val, function(key, value){
				        $.each(value, function(key, value){
				        	$("#selecUsuarioAsigned").append("<option value=\""+value+"\">"+key+"</option>");
				        });
				    });
				}else if(key=="notasigned"){
					$.each(val, function(key, value){
				        $.each(value, function(key, value){
				        	$("#selecUsuarioAsignedNotAsigned").append("<option value=\""+value+"\">"+key+"</option>");
				        });
				    });
				}
			});
		}
	});
}

function hideRight(){
	$("#calendarPlace").hide("fast");
	$("#userPlace").hide("fast");
	$("#noOptionSelected").show("fast");
}

//btn User List action right
$("#btnUsersRight").click(function(){
	var arrayUsers = new Array();
	var comboUsuariosAsignados = document.getElementById('selecUsuarioAsigned');
	for(var i=0;i<comboUsuariosAsignados.length;i++){
		var user =  comboUsuariosAsignados[i].value+"/"+comboUsuariosAsignados[i].text;
		if(comboUsuariosAsignados[i].selected){
			var user =  comboUsuariosAsignados[i].value+"/"+comboUsuariosAsignados[i].text;
			arrayUsers.push(user);
		}
	}
	for(var i=0;i<arrayUsers.length;i++){
		var usuario = arrayUsers[i].split("/");
		$("#selecUsuarioAsignedNotAsigned").append("<option value=\""+usuario[0]+"\">"+usuario[1]+"</option>");
		$("#selecUsuarioAsigned option[value=\""+usuario[0]+"\"]").remove();
	}
});

//btn User List action left
$("#btnUsersLeft").click(function(){
	var arrayUsers = new Array();
	var comboUsuariosNoAsignados = document.getElementById('selecUsuarioAsignedNotAsigned');
	for(var i=0;i<comboUsuariosNoAsignados.length;i++){
		var user =  comboUsuariosNoAsignados[i].value+"/"+comboUsuariosNoAsignados[i].text;
		if(comboUsuariosNoAsignados[i].selected){
			var user =  comboUsuariosNoAsignados[i].value+"/"+comboUsuariosNoAsignados[i].text;
			arrayUsers.push(user);
		}
	}
	for(var i=0;i<arrayUsers.length;i++){
		var usuario = arrayUsers[i].split("/");
		$("#selecUsuarioAsigned").append("<option value=\""+usuario[0]+"\">"+usuario[1]+"</option>");
		$("#selecUsuarioAsignedNotAsigned option[value=\""+usuario[0]+"\"]").remove();
	}
});

$("#saveUsers").click(function(){
	var arrayIdUsers = new Array();
	var comboUsuariosAsignados = document.getElementById('selecUsuarioAsigned');
	for(var i=0;i<comboUsuariosAsignados.length;i++){
		arrayIdUsers.push(comboUsuariosAsignados[i].value);
	}
	var url = "TestServlet?operacion=11";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTestForUsersAsigned,'idUsers':arrayIdUsers.toString()},
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
		}
	});
});

$("#nuevoCalendario").click(function(){
	var some_html ='<div class=\"form-group \">';
	
	some_html +='<label class=\"col-sm-3 control-label\">Inicio</label>';	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"input_dateInicial\" class=\"form-control\" placeholder=\"Fecha\">";		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-calendar\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';	
	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +='<input type=\"text\" id=\"input_timeInicial\" class=\"form-control\" placeholder=\"Hora\">';		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-clock-o\"></i></span>';
		some_html +='</div>';	
	some_html +='</div><br><br>';	
	
	some_html +='<label class=\"col-sm-3 control-label\">Final</label>';
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"input_dateFinal\" class=\"form-control\" placeholder=\"Fecha\" disabled>";		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-calendar\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';	
	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +='<input type=\"text\" id=\"input_timeFinal\" class=\"form-control\" placeholder=\"Hora\" disabled>';		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-clock-o\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';
	some_html += '<div class=\"col-sm-1\"><div class=\"checkbox\"><label><input id=\"enabledFinal\" type=\"checkbox\"><i id=\"chFinalCal\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Habilitar Fecha final\" class=\"fa fa-square-o small\"></i></label></div></div>';
	
	some_html +='<label class=\"col-sm-3 control-label\">Minutos</label>';
	some_html +='<div class=\"col-sm-3\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"ui-spinnerRepeticion\" class=\"form-control\" name=\"ui-spinnerRepeticion\">";		

		some_html +='</div>';	
	some_html +='</div>';

	some_html +='</div><br><br><br><br>';

	
	var title ='<i class=\"fa fa-calendar\"></i> Calendario';
	
	bootbox.dialog({
		  message: some_html,
		  title: title,
		  buttons: {
		    success: {
		      label: "Aceptar",
		      className: "btn-success",
		      callback: function() {
		    	  saveNewCalendar();
		      }
		    }
		  }
		});
	
	$("#input_dateInicial").datepicker({setDate: new Date()});
	LoadTimePickerScript(DemoTimePickerInicial);
	$("#input_dateFinal").datepicker({setDate: new Date()});
	LoadTimePickerScript(DemoTimePickerFinal);
	$('#chFinalCal').tooltip();
	initSpinnerRepetMinutesCalendar();
	$('#enabledFinal').change(function() {
	    if(!$(this).is(":checked")) {
	    	$("#input_dateFinal").attr("disabled", true);
	    	$("#input_timeFinal").attr("disabled", true);
	    }else{
	    	$("#input_dateFinal").removeAttr("disabled");
	    	$("#input_timeFinal").removeAttr("disabled");
	    }
	            
	});
});

function DemoTimePickerInicial(){
	$('#input_timeInicial').timepicker({setDate: new Date()});
}

function DemoTimePickerFinal(){
	$('#input_timeFinal').timepicker({setDate: new Date()});
}

function initSpinnerRepetMinutesCalendar(){
	$("#ui-spinnerRepeticion").spinner();
	var value;
    var $container=$("#ui-spinnerRepeticion");
    var newSpinner = $container.spinner({
        min: 0,
        max:59,
    }).focus(function () {
        value = $container.val();
    }).blur(function () {
        var value1 = $container.val();
        if (value1<0) {
           $container.val(value);
        }
        if(isNaN(value1))
        {
           $container.val(value);
        } 

    });
    $("#ui-spinnerRepeticion").val(0);
    $("#ui-spinnerRepeticion").bind("keydown", function (event) {
        event.preventDefault();
    });
}

function saveNewCalendar(){
	var fechaInicial = $("#input_dateInicial").val();
	var horaInicial = $("#input_timeInicial").val();
	var fechaFinal="";
	var horaFinal="";
	if($('#enabledFinal').is(":checked")){
		var fechaFinal = $("#input_dateFinal").val();
		var horaFinal = $("#input_timeFinal").val();
	}
	var intervalo = $("#ui-spinnerRepeticion").val();
	var url = "TestServlet?operacion=12";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTestForCalendar,
			'fechaInicial':fechaInicial,
			'horaInicial':horaInicial,
			'fechaFinal':fechaFinal,
			'horaFinal':horaFinal,
			'intervalo':intervalo},
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
				if(respuesta=="true"){
					showCalendar(idTestForCalendar,nombreDelTestActual);
				}else{
					alert("Ha habido un problema al guardar, vuelve a intentarlo");
				}
			});
		}
	});
}

$("#editarCalendario").click(function(){
	
var some_html ='<div class=\"form-group \">';
	
	some_html +='<label class=\"col-sm-3 control-label\">Inicio</label>';	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"input_dateInicial\" class=\"form-control\" placeholder=\"Fecha\">";		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-calendar\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';	
	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +='<input type=\"text\" id=\"input_timeInicial\" class=\"form-control\" placeholder=\"Hora\">';		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-clock-o\"></i></span>';
		some_html +='</div>';	
	some_html +='</div><br><br>';	
	
	some_html +='<label class=\"col-sm-3 control-label\">Final</label>';
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"input_dateFinal\" class=\"form-control\" placeholder=\"Fecha\" disabled>";		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-calendar\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';	
	
	some_html +='<div class=\"col-sm-4\">';	
		some_html +='<div class=\"input-group\">';
		some_html +='<input type=\"text\" id=\"input_timeFinal\" class=\"form-control\" placeholder=\"Hora\" disabled>';		
		some_html +=' <span class=\"input-group-addon\"><i class=\"fa fa-clock-o\"></i></span>';
		some_html +='</div>';	
	some_html +='</div>';
	some_html += '<div class=\"col-sm-1\"><div class=\"checkbox\"><label><input id=\"enabledFinal\" type=\"checkbox\"><i id=\"chFinalCal\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"Habilitar Fecha final\" class=\"fa fa-square-o small\"></i></label></div></div>';
	
	some_html +='<label class=\"col-sm-3 control-label\">Minutos</label>';
	some_html +='<div class=\"col-sm-3\">';	
		some_html +='<div class=\"input-group\">';
		some_html +="<input type=\"text\" id=\"ui-spinnerRepeticion\" class=\"form-control\" name=\"ui-spinnerRepeticion\">";		

		some_html +='</div>';	
	some_html +='</div>';

	some_html +='</div><br><br><br><br>';

	
	var title ='<i class=\"fa fa-calendar\"></i> Calendario';
	
	bootbox.dialog({
		  message: some_html,
		  title: title,
		  buttons: {
		    success: {
		      label: "Aceptar",
		      className: "btn-success",
		      callback: function() {
		    	  saveNewCalendar();
		      }
		    }
		  }
		});
	
	$("#input_dateInicial").datepicker({setDate: new Date()});
	LoadTimePickerScript(DemoTimePickerInicial);
	$("#input_dateFinal").datepicker({setDate: new Date()});
	LoadTimePickerScript(DemoTimePickerFinal);
	$('#chFinalCal').tooltip();
	initSpinnerRepetMinutesCalendar();
	$('#enabledFinal').change(function() {
	    if(!$(this).is(":checked")) {
	    	$("#input_dateFinal").attr("disabled", true);
	    	$("#input_timeFinal").attr("disabled", true);
	    }else{
	    	$("#input_dateFinal").removeAttr("disabled");
	    	$("#input_timeFinal").removeAttr("disabled");
	    }
	            
	});
	
	
	//--------------------------------//
	var url = "TestServlet?operacion=10";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTestForCalendar},
		success : function(data) {
			if(data["hayCalendario"]=="true"){
				var fechaIni=data["fechaIni"];
				var horaIni=data["horaIni"];
				var fechaFin=data["fechaFin"];
				var horaFin=data["horaFin"];
				var intervalo=data["intervalo"];
				$("#input_dateInicial").val(fechaIni);
				$("#input_timeInicial").val(horaIni);
				$("#input_dateFinal").text(fechaFin);
				$("#input_timeFinal").text(horaFin);
				$("#ui-spinnerRepeticion").val(intervalo);
			}
		}
	});
});

$("#borrarCalendario").click(function(){
	var url = "TestServlet?operacion=13";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idTest': idTestForCalendar},
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			showCalendar(idTestForCalendar,nombreDelTestActual);
		}
	});
});
