package com.hibernate.dao;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.Transaction;

public class Connection {
	protected Session sesion;
	protected Transaction tx;
	
	protected void iniciaOperacion() throws HibernateException{
	    sesion = HibernateUtil.getSessionFactory().openSession();
	    tx = sesion.beginTransaction();
	}
	
	protected void manejaExcepcion(HibernateException he) throws HibernateException{
	    tx.rollback();
	    throw new HibernateException("Ocurri un error en la capa de acceso a datos", he);
	}
}
