package com.pfc.selenium.testRunner;



import java.io.File;
import java.util.ArrayList;

import org.junit.runner.JUnitCore;
import org.junit.runner.Result;

/**
 * 
 * @author Xavier Font Erruz
 * @version 02/04/2014
 *
 */
public class JUnitCustom {
/**
 * constructor sin parametros
 */
	public JUnitCustom() {
	}
	
/**
 * Funcin para ejecutar un test JUnit customizado.
 * @param test el .class del test JUnit a ejecutar
 * @return ResultCustom resultado de la ejecucin del test JUnit customizado
 */
	public static ResultCustom runcustomTest(Class test){
		ResultCustom resultResponse = null;
		JUnitCore junit = new JUnitCore();
		//inicializamos el objeto donde se almacenaran los tiempos de paso
		TestMain.clearTempsPas();
		//ejecutamos el test JUnit i esperamos como respuesta los resultados
		Result result = junit.run(test);
		//Todos los tests extienden de TestMain, por tanto podemos obtener los datos recolectados 
		ArrayList<Double> tempsPas = TestMain.getTempsPas();
		ArrayList<String> tempsExePas = TestMain.getTempsExePas();
		
	    File screenCapture = TestMain.getScreenCapture();
	    //con los datos recolectados creamos un objeto resultado customizado
		resultResponse = new ResultCustom(result,tempsPas,screenCapture,tempsExePas);
		//TestMain.cleanTempsExePas();
		return resultResponse;
	}
}
