package com.pfc.meu.webservice.hibernate.dao;

import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;
import org.hibernate.boot.registry.StandardServiceRegistryBuilder;
import org.hibernate.cfg.Configuration;

/**
 * 
 * @author NoItAmI
 * @version 22/04/2014
 */

public class HibernateUtil {
	/**
	 * Creamos el session factory de hibernate
	 */
	 private static SessionFactory sessionFactory = null;   

	     static 
	    { 
	        try { 
	         //sessionFactory = new Configuration().configure().buildSessionFactory();
	        	Configuration configuration = new Configuration().configure();
	        	StandardServiceRegistryBuilder builder = new StandardServiceRegistryBuilder().
	        	applySettings(configuration.getProperties());
	        	sessionFactory = configuration.buildSessionFactory(builder.build());
	        } catch (HibernateException he) { 
	           System.err.println("Ocurri un error en la inicializacin de la SessionFactory: " + he); 
	           he.printStackTrace();
	           throw new ExceptionInInitializerError(he); 
	        } 
	    }  

	     public static SessionFactory getSessionFactory() 
	    { 
	        return sessionFactory; 
	    } 

	}