package com.pfc.meu.webservice.hibernate.mappings;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Id;

/**
 * 
 * @author NoItAmI
 * @version 18/04/2014
 */
public class Robot implements Serializable {
	
	@Id
	@Column(name="idRobot")
	private int idRobot;
	
	@Column(name="nombre")
	private String nombre;
	
	@Column(name="descripcion")
	private String descripcion;
	
	@Column(name="dataAlta")
	private String dataAlta;
	
	@Column(name="estado")
	private int estado;
	
	
	
	public Robot() {
	}
	
	public Robot(int idRobot, String nombre, String descripcion,
			String dataAlta, int estado) {
		this.idRobot = idRobot;
		this.nombre = nombre;
		this.descripcion = descripcion;
		this.dataAlta = dataAlta;
		this.estado = estado;
	}

	public int getIdRobot() {
		return idRobot;
	}

	public void setIdRobot(int idRobot) {
		this.idRobot = idRobot;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getDataAlta() {
		return dataAlta;
	}

	public void setDataAlta(String dataAlta) {
		this.dataAlta = dataAlta;
	}

	public int getEstado() {
		return estado;
	}

	public void setEstado(int estado) {
		this.estado = estado;
	}
	

}
