<%@ page language="java" contentType="text/html; charset=utf-8"
    pageEncoding="ISO-8859-1"%>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="css/tree.css" rel="stylesheet">
<script type="text/javascript" src="js/bootbox.min.js"></script>
<script type="text/javascript" src="js/Test/testFunctions.js"></script>

</head>
<body>
<div class="row">
	<div id="breadcrumb" class="col-md-12">
		<ol class="breadcrumb">
			<li><a style="cursor: pointer;" onclick="LoadAjaxContent('ini.jsp')">Inicio</a></li>
			<li><a>Test</a></li>
			<li><a>Administracin</a></li>
		</ol>
	</div>
</div>

<div id="checkBoxes" class="col-xs-12 col-sm-2 box-content">
	<!--  <h4 class="page-header"></h4>-->
	<div class="row form-group">
		<div class="col-sm-12">
			<select  id="elRobot">
				<option value=0>Todos los Robots</option>
			</select>
			<hr>
			<div class="checkbox">
				<label>
					<input id="selectAllTest" type="checkbox"> Seleccionar Todos
					<i class="fa fa-square-o small"></i>
				</label>
			</div>
			<div id="checkTestPlace"></div>
		</div>
	</div>
</div>

<div class="col-xs-12 col-sm-7">
<div id="loading" style="display: none; margin-top: 100px;" align="center"> <img src="img/loader.gif"> </div>
<div id="noTestSelected" style="margin-top: 100px;" align="center"><h1><small><i class="fa fa-pencil"></i>  No Test Selected</small></h1></div>
	<div id="testPlace" style="display: none;" class="box">
		<div class="box-content">
			<!--  <h4 class="page-header centered"> <i class="fa fa-pencil"></i>  Tests </h4>-->
				<div class="tree well">
				    <ul id="listPlace">
				    
				    </ul>
				</div>
		</div>
	</div>
</div>
<div class="col-xs-12 col-sm-3">
<div id="noOptionSelected" style="margin-top: 100px;" align="center"><h1><small><i class="fa fa-ban"></i> </small></h1></div>
	<div id="calendarPlace" style="display: none;" class="box">
		<div class="box-icons">
			<a onclick="hideRight()">
				<i class="fa fa-times"></i>
			</a>
		</div>
		<div class="box-content">
			<h4 class="page-header centered" id="usrCalTitle">  </h4>
			
			<div id="noCalendar" style="margin-bottom: 20px" align="center"><h3><small><i class="fa fa-ban"></i> Sin calendario</small></h3></div>
			
			<div id="existCalendar" style="display: none;">
				<h5 class="centered">Detalles del Calendario :</h5>
					<div class="form-group">
						<label class="col-sm-5 control-label">Fecha Ini.</label>
					    <div class="col-sm-6">
					      <div id="txtFechaIni"></div>
					    </div>
					</div>
					<br>
					<div class="form-group">
						<label class="col-sm-5 control-label">Hora Ini.</label>
					    <div class="col-sm-6">
					      <div id="txtHoraIni"></div>
					    </div>
					</div>
					<br>
					<div class="form-group">
						<label class="col-sm-5 control-label">Fecha Fin.</label>
					    <div class="col-sm-6">
					      <div id="txtFechaFin"></div>
					    </div>
					</div>
					<br>
					<div class="form-group">
						<label class="col-sm-5 control-label">Hora Fin.</label>
					    <div class="col-sm-6">
					      <div id="txtHoraFin"></div>
					    </div>
					</div>
					<br>
					<div class="form-group">
						<label class="col-sm-5 control-label">Intrvalo</label>
					    <div class="col-sm-6">
					      <div id="txtIntervalo"></div>
					    </div>
					</div>
			</div>
			
			<br>
			<br>
			<h4 class="page-header"></h4>
			<div class="text-right">
				<!--  <button type="button" class="btn btn-primary btn-lg btn-label-left"><i class="fa fa-save"></i>&nbsp;&nbsp;&nbsp;Guardar</button>-->
				<button id="nuevoCalendario" type="button" class="btn btn-success btn-lg btn-label-left">
				<i class="fa fa-plus"></i>&nbsp;&nbsp;Nuevo
				</button>
				
				<button disabled="disabled" id="editarCalendario" style="margin-right: 3px" type="button" class="btn btn-info btn-lg btn-label-right">
				<i class="fa fa-pencil-square-o"></i>&nbsp;&nbsp;Editar
				</button>
				
				<button disabled="disabled" id="borrarCalendario" style="float: right;" type="button" class="btn btn-danger btn-lg btn-label-right">
				<i class="fa fa-trash-o"></i>&nbsp;&nbsp;Borrar
				</button>
			</div>
		</div>
	</div>
	
	<!-- Option User -->
	<div id="userPlace" style="display: none;" class="box">
		<div class="box-icons">
			<a onclick="hideRight()">
				<i class="fa fa-times"></i>
			</a>
		</div>
		<div class="box-content">
			<h4 class="page-header centered" id="usrTstTitle">  </h4>
			<h5>Usuarios asignados :</h5>
			<div class="col-sm-13">
				<select id="selecUsuarioAsigned" multiple class="form-control" style="height: 150px">
				</select>
			</div>
			<div class="col-sm-13" align="center" style="margin-top: 5%">
				<button style="width: 70px" id="btnUsersLeft" type="button" class="btn btn-default"><i class="fa  fa-chevron-up"></i></button>
				<button style="width: 70px" id="btnUsersRight" type="button" class="btn btn-default"><i class="fa fa-chevron-down"></i></button>
			</div>
			<h5>Usuarios no asignados :</h5>
			<div class="col-sm-13">
				<select id="selecUsuarioAsignedNotAsigned" multiple class="form-control" style="height: 150px">
				</select>
			</div>
			
			<h4 class="page-header" style="margin-top: 15%"></h4>
			<div class="text-right">
			<button id="saveUsers" type="button" class="btn btn-primary btn-lg btn-label-left"><i class="fa fa-save"></i>&nbsp;&nbsp;&nbsp;Guardar</button>
			</div>
		</div>
	</div>
</div>
</body>
<script type="text/javascript">
//Init. select con buscar
function Select2Test(){
	$("#elRobot").select2();
}

$(document).ready(function() {
	onLoadAdmin();
	LoadSelect2Script(Select2Test);
});
</script>
</html>