function saveRobot() {
	var url = "RobotServlet?operacion=1&";
	var nombre = $("#nombre").val();
	var desc = $("#descripcion").val();
	url = url + "nombre=" + nombre + "&descripcion=" + desc;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			$("#nombre").val("");
			$("#descripcion").val("");
		}
	});
}

function callTableRobots() {
	$("#divTabla").hide();
	$("#load").show();
	var url = "RobotServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			$.each(data,function(key, val) {
				var nuevaFila = "<tr>";
					nuevaFila += "<td align=\"center\">" + key + "</td>";
					for (var i = 0; i < val.length; i++) {
						if(i==val.length-1){
							if(val[i]=="1"){
								nuevaFila += "<td ><i style=\"cursor: pointer\" data-toggle=\"tooltip\" data-placement=\"top\" id=\"iconRun\" title=\"play\" class=\"fa  fa-play iconRun\"></i></td>";
							}else{
								nuevaFila += "<td ><i style=\"cursor: pointer\" data-toggle=\"tooltip\" data-placement=\"top\" id=\"iconRun\" title=\"stop\" class=\"fa  fa-stop iconRun\"></i></td>";
							}
						}else{
							nuevaFila += "<td>" + val[i]+ "</td>";	
						}
					}
					nuevaFila += "<td><div class=\"checkbox\"><label><input type=\"checkbox\" value="+ key+ "><i class=\"fa fa-square-o\"></i></label></div></td>";
					nuevaFila += "</tr>";
					$("#tabla").append(nuevaFila);
			});
			$(".iconRun").tooltip();
			$("#load").hide();
			$("#divTabla").show();
		}
	});
}

function deleteRobots() {
	var val = [];
	$(':checkbox:checked').each(function(i) {
		val[i] = $(this).val();
	});
	var url = "RobotServlet?operacion=2&idRobots=";
	url = url + val;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			callTableRobots();
		}
	});
}


/* --------------- Funciones de Administracion --------------------*/

//Funciones relacionadas con la carga inicial
function onLoadAdmin(){
	var url = "RobotServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				$("#el2").append("<option value="+key+">"+val[0]+"</option>");
			});
		}
	});
	loadAllTest();
}

//Carga la caja de TODOS test disponibles para el usuario
function loadAllTest(){
	$('#sortable2').empty();
	var cList = $('#sortable2');
	$('#sortable2').html('<li class=\"btn btn-block\" style=\"visibility: hidden;\"></li>');
	var url = "TestServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				/*var li = $('<li/>')
				.addClass('btn btn-block')
		        .attr('data-value', key)
		        .appendTo(cList);
				var aaa = $('<a/>')
		        .addClass('')
		        .text(val[0])
		        .appendTo(li);*/
				$("#sortable2").append("<li data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Arrastrar\" class=\"btn btn-block tool\" value=\""+key+"\"><i style=\"float:left;margin-top:5px;\" class=\"fa fa-pencil\"></i>  <a>"+val[0]+"</a></li>");
			});
			$(".tool").tooltip();
		}
	});
}
//Carga los test que no tenga asignados ese robot
function loadTestNotAssigned(idRobot){
	$('#sortable2').empty();
	var cList = $('#sortable2');
	$('#sortable2').html('<li class=\"btn btn-block\" style=\"visibility: hidden;\"></li>');
	var url = "TestServlet?operacion=4";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idRobot': idRobot},
		success : function(data) {
			$.each(data,function(key, val) {
				/*var li = $('<li/>')
				.addClass('btn btn-block')
		        .attr('data-value', key)
		        .appendTo(cList);
				var aaa = $('<a/>')
		        .addClass('')
		        .text(val[0])
		        .appendTo(li);*/
				$("#sortable2").append("<li data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Arrastrar\" class=\"btn btn-block tool\" value=\""+key+"\"><i style=\"float:left;margin-top:5px;\" class=\"fa fa-pencil\"></i>  <a>"+val[0]+"</a></li>");
			});
			$(".tool").tooltip();
		}
	});
}
//Peticion para los datos de Robot
function loadRobot(idRobot){
	var url = "RobotServlet?operacion=4";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idRobot': idRobot},
		success : function(data) {
			$.each(data,function(key, val) {
				if(key=="robot"){
					setRobotDetails(val);
				}else if(key=="test"){
					setTestinRobot(val);					
				}
			});
		}
	});
	$("#loading").hide();
	$("#robotPlace").show("fast");
}
//Setea los datos en la pestaa Test
function setTestinRobot(val){
	$('#sortable1').empty();
	var cList = $('#sortable1');
	$('#sortable1').html('<li class=\"btn btn-block\" style=\"visibility: hidden;\"></li>');
	$.each(val, function(key, value){
        $.each(value, function(key, value){
        	/*var li = $('<li/>')
        	.addClass('btn btn-block')
	        .attr('data-value', value)
	        .appendTo(cList);
			var aaa = $('<a/>')
	        .addClass('')
	        .text(key)
	        .appendTo(li);*/
        	$("#sortable1").append("<li data-toggle=\"tooltip\" data-placement=\"bottom\" title=\"Arrastrar\" class=\"btn btn-block tool\" value=\""+value+"\"><i style=\"float:left;margin-top:5px;\" class=\"fa fa-pencil\"></i>  <a>"+key+"</a></li>");
        });
        $(".tool").tooltip();
    });
}
//Setea los datos en la pestaa Robot
function setRobotDetails(val){
	var id = val[0].id;
	var nombre = val[1].nombre;
	var descripcion = val[2].descripcion;
	var data = val[3].data;
	var estado = val[4].estado;
	$("#robotTitle").html("<span><i class=\"fa fa-desktop\"></i> "+val[1].nombre+"</span>");
	$("#detalleNombre").html("<span>"+nombre+"</span>");
	$("#detalleDescripcion").html("<span>"+descripcion+"</span>");
	$("#detalleData").html("<span>"+data+"</span>");
	if(estado=="1"){
		$("#detalleEstado").html("<span ><i title=\"play\" class=\"fa  fa-play\"></i>&nbsp;&nbsp;&nbsp;&nbsp;<font color=\"green\">En reproducci&oacuten</font></span>");
	}else{
		$("#detalleEstado").html("<span><i title=\"play\" class=\"fa  fa-stop\"></i>&nbsp;&nbsp;&nbsp;&nbsp;<font color=\"red\">Parado</font></span>");
	}
}

//Select Robot Admin
$('#el2').on('change', function() {
	$("#noRobotSelected").hide();
	if($(this).val()!=0){
		loadTestNotAssigned($(this).val());
		$("#loading").show();
		loadRobot($(this).val());
		loadUsersByRobot($(this).val());
	}else{
		$("#robotPlace").hide();
		$("#loading").hide();
		$("#noRobotSelected").show();
		loadAllTest();
	}
});

//En la pestaa Users, carga los usuarios asignados y no asignados a ese robot
function loadUsersByRobot(idRobot){
	$("#selecRobotUsuario").empty();
	$("#selecUsuario").empty();
	var url = "RobotServlet?operacion=5";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idRobot': idRobot},
		success : function(data) {
			$.each(data,function(key, val) {
				if(key=="asigned"){
					$.each(val, function(key, value){
				        $.each(value, function(key, value){
				        	$("#selecRobotUsuario").append("<option value=\""+value+"\">"+key+"</option>");
				        });
				    });
				}else if(key=="notasigned"){
					$.each(val, function(key, value){
				        $.each(value, function(key, value){
				        	$("#selecUsuario").append("<option value=\""+value+"\">"+key+"</option>");
				        });
				    });
				}
			});
		}
	});
}

//btn User List action right
$("#btnUsersRight").click(function(){
	$("#changeUsersAsterisk").show();
	var arrayUsers = new Array();
	var comboUsuariosAsignados = document.getElementById('selecRobotUsuario');
	for(var i=0;i<comboUsuariosAsignados.length;i++){
		var user =  comboUsuariosAsignados[i].value+"/"+comboUsuariosAsignados[i].text;
		if(comboUsuariosAsignados[i].selected){
			var user =  comboUsuariosAsignados[i].value+"/"+comboUsuariosAsignados[i].text;
			arrayUsers.push(user);
		}
	}
	for(var i=0;i<arrayUsers.length;i++){
		var usuario = arrayUsers[i].split("/");
		$("#selecUsuario").append("<option value=\""+usuario[0]+"\">"+usuario[1]+"</option>");
		$("#selecRobotUsuario option[value=\""+usuario[0]+"\"]").remove();
	}
});

//btn User List action left
$("#btnUsersLeft").click(function(){
	$("#changeUsersAsterisk").show();
	var arrayUsers = new Array();
	var comboUsuariosNoAsignados = document.getElementById('selecUsuario');
	for(var i=0;i<comboUsuariosNoAsignados.length;i++){
		var user =  comboUsuariosNoAsignados[i].value+"/"+comboUsuariosNoAsignados[i].text;
		if(comboUsuariosNoAsignados[i].selected){
			var user =  comboUsuariosNoAsignados[i].value+"/"+comboUsuariosNoAsignados[i].text;
			arrayUsers.push(user);
		}
	}
	for(var i=0;i<arrayUsers.length;i++){
		var usuario = arrayUsers[i].split("/");
		$("#selecRobotUsuario").append("<option value=\""+usuario[0]+"\">"+usuario[1]+"</option>");
		$("#selecUsuario option[value=\""+usuario[0]+"\"]").remove();
	}
});

//Save action (recorremos la lista de test del robot)
$("#save").click(function(){
	var activeTab = $( "#tabs" ).tabs( "option", "active" );
	if(activeTab==0){//La pestaa activa es la de Test, por lo tanto hacemos un save solamente de Test
		if ( $("#changeTestAsterisk").is(":visible") ) {
			$("#loadingSaveTest").show();
			var idTests = new Array();
			$('#sortable1').each(function(){
			        $(this).find('li').each(function(){
			            if($(this).text() != "" && $(this).text() != "undefined"){
			            	var value = $(this).attr('value');
			            	idTests.push(value);
			            }
			        });
			    });
			var url = "RobotServlet?operacion=7";
			$.ajax({
				url : url,
				type : 'post',
				dataType : 'json',
				data: { 'idRobot': $('#el2').val(),'idTests':idTests.toString()},
				success : function(data) {
					$("#changeTestAsterisk").hide();
					$("#loadingSaveTest").hide();
				}
			});
		}
	}else if(activeTab==3){//La pestaa activa es la de Users, por lo tanto hacemos un save solamente de Users
		if ( $("#changeUsersAsterisk").is(":visible") ) {
			$("#loadingSaveUsers").show();
			var arrayIdUsers = new Array();
			var comboUsuariosAsignados = document.getElementById('selecRobotUsuario');
			for(var i=0;i<comboUsuariosAsignados.length;i++){
				arrayIdUsers.push(comboUsuariosAsignados[i].value);
			}
			var url = "RobotServlet?operacion=6";
			$.ajax({
				url : url,
				type : 'post',
				dataType : 'json',
				data: { 'idRobot': $('#el2').val(),'idUsers':arrayIdUsers.toString()},
				success : function(data) {
					$("#changeUsersAsterisk").hide();
					$("#loadingSaveUsers").hide();
				}
			});
		}
	}
});

/*----------------- FIN FUNCIONES ADMINISTRACION--------------------*/

function onLoadEdit(){
	var url = "RobotServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				$("#elRobot").append("<option value="+key+">"+val[0]+"</option>");
			});
		}
	});
}

//Select Robot Edit
$('#elRobot').on('change', function() {
	$("#noRobotSelected").hide();
	if($(this).val()!=0){
		$("#loading").show();
		loadRobotEdit($(this).val());
		$("#robotPlace").show();
	}else{
		$("#robotPlace").hide();
		$("#loading").hide();
		$("#noRobotSelected").show();
	}
});

function loadRobotEdit(idRobot){
	var url = "RobotServlet?operacion=8";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idRobot': idRobot},
		success : function(data) {
			$("#loading").hide();
			$.each(data,function(key, val) {
				if(key=="nombre"){
					$("#nombre").val(val);
				}else if(key=="descripcion"){
					$("#descripcion").val(val);
				}
			});
		}
	});
}

function uploadRobot(){
	var url = "RobotServlet?operacion=9&";
	var nombre = $("#nombre").val();
	var desc = $("#descripcion").val();
	var idRobot = $('#elRobot').val();
	url = url + "nombre=" + nombre + "&descripcion=" + desc+"&idRobot="+idRobot;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			$("#nombre").val("");
			$("#descripcion").val("");
		}
	});
}