function saveUser(){
	var url = "UsuarioServlet?operacion=1&";
	var login = $("#login").val();
	var pass = $("#pass").val();
	if ($('#activado').is(":checked")){
		var activado=1;	
	}else{
		var activado=0;
	}
	url = url + "login=" + login + "&password=" + pass+"&alta="+activado;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			$("#login").val("");
			$("#pass").val("");
		}
	});
}

function callTableUsers() {
	$("#divTabla").hide();
	$("#load").show();
	var url = "UsuarioServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			$.each(data,function(key, val) {
				var nuevaFila = "<tr>";
					nuevaFila += "<td align=\"center\">" + key + "</td>";
					for (i = 0; i < val.length; i++) {
						if(i==val.length-1){
							if(val[i]=="1"){
								nuevaFila += "<td ><img height=\"20\" width=\"20\" class=\"usrActivatedIcon\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"activado\" src=\"img/tick_Ok.png\"></td>";
							}else{
								nuevaFila += "<td ><img height=\"20\" width=\"20\" class=\"usrActivatedIcon\" data-toggle=\"tooltip\" data-placement=\"top\" title=\"no activado\" src=\"img/tick_Nok.png\"></td>";
							}
						}else{
							nuevaFila += "<td>" + val[i]+ "</td>";	
						}
					}
					nuevaFila += "<td><div class=\"checkbox\"><label><input type=\"checkbox\" value="+ key+ "><i class=\"fa fa-square-o\"></i></label></div></td>";
					nuevaFila += "</tr>";
					$("#tabla").append(nuevaFila);
			});
			$("#load").hide();
			$("#divTabla").show();
			$(".usrActivatedIcon").tooltip();
		}
	});
}

function deleteUsers() {
	var val = [];
	$(':checkbox:checked').each(function(i) {
		val[i] = $(this).val();
	});
	var url = "UsuarioServlet?operacion=2&idUsuarios=";
	url = url + val;
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$("#cuerpoTabla").empty();
			callTableUsers();
		}
	});
}

function onLoadEdit(){
	var url = "UsuarioServlet?operacion=3";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			$.each(data,function(key, val) {
				$("#elUser").append("<option value="+key+">"+val[0]+"</option>");
			});
		}
	});
}

//Select Robot Edit
$('#elUser').on('change', function() {
	$("#noUserSelected").hide();
	if($(this).val()!=0){
		$("#loading").show();
		loadUsertEdit($(this).val());
		$("#userPlace").show();
	}else{
		$("#userPlace").hide();
		$("#loading").hide();
		$("#noUserSelected").show();
	}
});

function loadUsertEdit(idRobot){
	var url = "UsuarioServlet?operacion=4";
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		data: { 'idUsuario': idRobot},
		success : function(data) {
			$("#loading").hide();
			$.each(data,function(key, val) {
				if(key=="nombre"){
					$("#login").val(val);
				}else if(key=="password"){
					$("#pass").val(val);
					$("#confirmPass").val(val);
				}else if(key == "alta"){
					if(val=="1"){
						$("#activado").attr("checked",true);
					}else if(val =="0"){
						//$("#activado").removeAttr("checked");
						$("#activado").attr("checked",false);
					}
				}
			});
		}
	});
}

function uploadUser(){
	var idUser = $("#elUser").val();
	var url = "UsuarioServlet?operacion=5&";
	var login = $("#login").val();
	var pass = $("#pass").val();
	if ($('#activado').is(":checked")){
		var activado=1;	
	}else{
		var activado=0;
	}
	url = url + "login=" + login + "&password=" + pass+"&alta="+activado+"&idUser="+idUser;
	console.log(url);
	$.ajax({
		url : url,
		type : 'post',
		dataType : 'json',
		success : function(data) {
			var respuesta;
			$.each(data, function(key, val) {
				respuesta = val.toString();
			});
			alert(respuesta);
			$("#login").val("");
			$("#pass").val("");
		}
	});
}