package com.pfc.selenium.UI.runnable;

import java.util.Properties;

import com.pfc.selenium.UI.Agente.*;
import com.pfc.selenium.classes.Robot;
import com.pfc.selenium.testRunner.TestRunner;
/**
 * 
 * @author Xavier Font Erruz
 * @version 14/05/2014
 */
public class RunExecution implements Runnable{

private Robot robot;
/**
 * variable para determinar si estamos en estado stop o no
 */
public static boolean stopState = false;
private static Properties language = AgentUI.getInstance().getLanguageFile();
	
/**
 * Constructor con parametros
 * @param robot robot asociado
 */
	public RunExecution(Robot robot) {
	this.robot = robot;
}


/**
 * inicio del thread de ejecucin de circuitos 
 */
	public void run() {
		//cogemos la instancia de AgenteUI
		AgentUI agente = AgentUI.getInstance();
		//seteamos el mensaje de inicio de ejecucin de test
		agente.setMessageBox(language.getProperty("messBox.initTest"));
		//iniciamos el objeto que ejecutara los tests
		TestRunner testRuner = new TestRunner();
		
		//mienstras no se pulse stop y termine de ejecutarse todos los tests associados seguiremos ejecutando los tests
		while(!stopState){
			testRuner.scheduleTestExecutions(robot);
		}
		
	}
	
	

}
