package com.pfc.selenium.classes;

import java.util.ArrayList;
import com.pfc.selenium.classes.Test;

/**
 * 
 * @author Xavier Font Erruz
 * @version 23/04/2014
 */
public class Robot {
	
	
	
	private int id;
	private String nom;
	private String descripcion;
	private String dataalta;
	private int estado;
	private ArrayList<Test> tests = new ArrayList<Test>();
	
			
	
	/**
	 * Constructor con parametros
	 * @param id identificador del robot
	 * @param nom nombre del robot
	 * @param descripcion descripcin del robot
	 * @param dataalta fecha de alta del robot
	 * @param estado estado del robot (parado o reproduciendo)
	 */
	public Robot(int id, String nom, String descripcion, String dataalta,int estado) {
		this.id = id;
		this.nom = nom;
		this.descripcion = descripcion;
		this.dataalta = dataalta;
		this.estado = estado;
	}
	
	
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}


	public String getDescripcion() {
		return descripcion;
	}


	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}


	public String getDataalta() {
		return dataalta;
	}


	public void setDataalta(String dataalta) {
		this.dataalta = dataalta;
	}


	public int getEstado() {
		return estado;
	}


	public void setEstado(int estado) {
		this.estado = estado;
	}

	public ArrayList<Test> getTests() {
		return tests;
	}

	public void setTests(ArrayList<Test> tests) {
		this.tests = tests;
	}


}
